# Scim

Manage users, service principals, groups and their permissions in Accounts and Workspaces

## Endpoints

### Create Account Group

- [POST /api/2.0/accounts/{account_id}/scim/v2/Groups](create-account-group.md)

### Delete Account Group

- [DELETE /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}](delete-account-group.md)

### Get Account Group

- [GET /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}](get-account-group.md)

### List Account Groups

- [GET /api/2.0/accounts/{account_id}/scim/v2/Groups](list-account-groups.md)

### Patch Account Group

- [PATCH /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}](patch-account-group.md)

### Update Account Group

- [PUT /api/2.0/accounts/{account_id}/scim/v2/Groups/{id}](update-account-group.md)

### Create Account Service Principal

- [POST /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals](create-account-service-principal.md)

### Delete Account Service Principal

- [DELETE /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals/{id}](delete-account-service-principal.md)

### Get Account Service Principal

- [GET /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals/{id}](get-account-service-principal.md)

### List Account Service Principals

- [GET /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals](list-account-service-principals.md)

### Patch Account Service Principal

- [PATCH /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals/{id}](patch-account-service-principal.md)

### Update Account Service Principal

- [PUT /api/2.0/accounts/{account_id}/scim/v2/ServicePrincipals/{id}](update-account-service-principal.md)

### Create Account User

- [POST /api/2.0/accounts/{account_id}/scim/v2/Users](create-account-user.md)

### Delete Account User

- [DELETE /api/2.0/accounts/{account_id}/scim/v2/Users/{id}](delete-account-user.md)

### Get Account User

- [GET /api/2.0/accounts/{account_id}/scim/v2/Users/{id}](get-account-user.md)

### List Account Users

- [GET /api/2.0/accounts/{account_id}/scim/v2/Users](list-account-users.md)

### Patch Account User

- [PATCH /api/2.0/accounts/{account_id}/scim/v2/Users/{id}](patch-account-user.md)

### Update Account User

- [PUT /api/2.0/accounts/{account_id}/scim/v2/Users/{id}](update-account-user.md)

